Bug 217874 - Ability for users of ProcessBuilder to connect via rfs
Ability for users of ProcessBuilder to connect via rfs
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.3
PC Linux
: P1 (vote)
: 7.3
Assigned To: Jaroslav Tulach
issues@cnd
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 09:53 UTC by Jaroslav Tulach
Modified: 2012-10-01 12:05 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (6.23 KB, patch)
2012-09-05 09:56 UTC, Jaroslav Tulach
Details | Diff
I've documented the change in extexecution API (11.56 KB, patch)
2012-09-19 14:12 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2012-09-05 09:53:14 UTC
I have an ProcessBuilder (from extexecution backed by NativeProcessBuilder) which has not been connected before. I'd like to initiate the interaction with user to connect to it using stable public APIs.

My idea is to reuse UserQuestionException.
Comment 1 Jaroslav Tulach 2012-09-05 09:56:03 UTC
Created attachment 123936 [details]
Proposed patch

The expected usage would be:

AGAIN: for (;;) {
  try {
    builder.call();
  } catch (UserQuestionException ex) {
    ex.confirm(); // shows a dialog, usually
    continue AGAIN;
  }
  break;
}
Comment 2 Milos Kleint 2012-09-05 10:01:08 UTC
I'm not going to comment the necessity of using the exception as I have no domain knowledge

MK1: apichanges?
MK2: should be documented to throw UserQuestionException
Comment 3 Jaroslav Tulach 2012-09-05 12:44:22 UTC
Re. MK01, I want to add API changes, but there are none for this module! Maybe I could put the change into extexecution API and Javadoc (for MK02) as at the end, that is the API I am using.
Comment 4 Jaroslav Tulach 2012-09-19 14:12:55 UTC
Created attachment 124584 [details]
I've documented the change in extexecution API

I'd like to integrate on Friday, Sep 21, 2012.
Comment 5 Jaroslav Tulach 2012-09-27 09:34:51 UTC
ergonomics#3ef8055d88f4
Comment 6 Quality Engineering 2012-10-01 12:05:19 UTC
Integrated into 'main-golden', will be available in build *201210010929* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/3ef8055d88f4
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #217874: Use UserQuestionException when the remotefs is not connected


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo